Bug 53617 - [llvmpipe] piglit fbo-depthtex regression
Summary: [llvmpipe] piglit fbo-depthtex regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-17 01:12 UTC by Vinson Lee
Modified: 2012-08-18 13:53 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2012-08-17 01:12:29 UTC
mesa: 81ba2c53b698b3926e71dd37e7898719fd2deb3e (master)

Run piglit fbo-depthtex on llvmpipe.

$ ./bin/fbo-depthtex -auto
Probe at (64,240)
  Expected: 0.100000 0.100000 0.100000
  Observed: 0.000000 0.000000 0.000000
Probe at (192,240)
  Expected: 0.300000 0.300000 0.300000
  Observed: 0.000000 0.000000 0.000000
Probe at (320,240)
  Expected: 0.500000 0.500000 0.500000
  Observed: 0.000000 0.000000 0.000000
Probe at (448,240)
  Expected: 0.700000 0.700000 0.700000
  Observed: 0.000000 0.000000 0.000000
Probe at (576,240)
  Expected: 0.900000 0.900000 0.900000
  Observed: 0.000000 0.000000 0.000000
PIGLIT: {'result': 'fail' }


c969cb1447a0dc0da3cd8016f3e86dcfb381643f is the first bad commit
commit c969cb1447a0dc0da3cd8016f3e86dcfb381643f
Author: Brian Paul <brianp@vmware.com>
Date:   Thu Aug 9 20:59:44 2012 -0600

    llvmpipe: add 'start' parameter to bind_sampler_states/views()

:040000 040000 a0e59eb6bfbbacd3f9e38b3056f236e7210c84c5 5852a901ed489daf14b8378b2b8b71d6142e0e56 M	src
bisect run success
Comment 1 Brian Paul 2012-08-18 13:53:12 UTC
Fixed with commit 5b542681dc05b8b9eba677ee74323ac0ff85a5f0


bug/show.html.tmpl processed on Jan 22, 2017 at 22:19:49.
(provided by the Example extension).